using Godot;
using Godot.Collections;

namespace Cirno.Scripts.Resources.Events;

[GlobalClass]
public partial class AlarmEnableEvent : EventResource
{
    private bool _isComplete = false;
    private AlarmManager _alarmManager;

    public override bool IsComplete()
    {
        return _isComplete;
    }

    public override void Init(Node2D parent)
    {
        _alarmManager = parent.GetAlarmManager();
    }

    public override void Start(Node2D parent)
    {
        _alarmManager.SoundAlarm(parent.GlobalPosition);
        _isComplete = true;
    }

    public override void UpdateEvent(double delta)
    {
        
    }
}